### Method

# Xdp InputCaptureSession get_restore_token

#### Declaration [src]

    const char*
    xdp_input_capture_session_get_restore_token (
      XdpInputCaptureSession* session
    )

#### Description [src]

Returns the restore token for this session or NULL if none exists. This token can be passed to `xdp_input_capture_session_set_restore_token()` for a future session to restore this session, possibly skipping interactive permission dialogs.

This method only returns a token for a session created with `xdp_portal_create_input_capture_session2()` and only once `xdp_input_capture_session_start_finish()` has completed.

The token may change with every session.

#### Return value

Type: `const char*`

The restore token or NULL.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.